# Uses of Interface
org.springframework.web.util.UriComponents.UriTemplateVariables

Packages that use UriComponents.UriTemplateVariables
Package
Description
org.springframework.web.util
Miscellaneous web utility classes, such as HTML escaping and cookie handling.

## Uses of UriComponents.UriTemplateVariables in org.springframework.web.util

Methods in org.springframework.web.util with parameters of type UriComponents.UriTemplateVariables
Modifier and Type
Method
Description
`final UriComponents`
UriComponents.`expand(UriComponents.UriTemplateVariables uriVariables)`
Replace all URI template variables with the values from the given `UriComponents.UriTemplateVariables`.